Skip to main content
PUT
/
folder
Update a folder
curl --request PUT \
  --url https://www.getsnippets.ai/api/prompts/folder \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "folderName": "<string>",
  "folderColor": "<string>",
  "parentFolderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "success": true,
  "data": {
    "folder": {}
  },
  "usage": {
    "remainingRequests": 123
  },
  "metadata": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.getsnippets.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication using Bearer token. Include your API key in the Authorization header.

Query Parameters

folderId
string<uuid>
required

The ID of the folder to update

Body

application/json
folderName
string
Required string length: 1 - 1000
folderColor
string
Maximum string length: 100
parentFolderId
string<uuid> | null

Response

Folder updated successfully

success
boolean
Example:

true

data
object
usage
object
metadata
object